Package org.multiverse.collections

## Class AbstractTxnIterator<E>

- java.lang.Object
- - org.multiverse.collections.AbstractTxnIterator<E>

- All Implemented Interfaces:
    `Iterator<E>`, `TxnIterator<E>`

      public abstract class AbstractTxnIterator<E>
      extends Object
      implements TxnIterator<E>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractTxnIterator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `E` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface org.multiverse.api.collections.TxnIterator

      `hasNext, next, remove`

- - ### Constructor Detail

    - #### AbstractTxnIterator

          public AbstractTxnIterator()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`